Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class AdviceType1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.AdviceType1

    public class AdviceType1
    extends java.lang.Object

Java class for AdviceType1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AdviceType1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtAdvc" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}AdviceType1Choice" minOccurs="0"/>
             <element name="DbtAdvc" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}AdviceType1Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AdviceType1Choice` `cdtAdvc`
`protected AdviceType1Choice` `dbtAdvc`

### Constructor Summary

Constructors
`AdviceType1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AdviceType1Choice` `getCdtAdvc()` Gets the value of the cdtAdvc property.
`AdviceType1Choice` `getDbtAdvc()` Gets the value of the dbtAdvc property.
`void` `setCdtAdvc​(AdviceType1Choice value)` Sets the value of the cdtAdvc property.
`void` `setDbtAdvc​(AdviceType1Choice value)` Sets the value of the dbtAdvc property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtAdvc

    protected AdviceType1Choice cdtAdvc

#### dbtAdvc

    protected AdviceType1Choice dbtAdvc

### Constructor Detail

#### AdviceType1

    public AdviceType1()

### Method Detail

#### getCdtAdvc

    public AdviceType1Choice getCdtAdvc()

Gets the value of the cdtAdvc property.

Returns:
  possible object is `AdviceType1Choice`

#### setCdtAdvc

    public void setCdtAdvc​(AdviceType1Choice value)

Sets the value of the cdtAdvc property.

Parameters:
  `value` - allowed object is `AdviceType1Choice`

#### getDbtAdvc

    public AdviceType1Choice getDbtAdvc()

Gets the value of the dbtAdvc property.

Returns:
  possible object is `AdviceType1Choice`

#### setDbtAdvc

    public void setDbtAdvc​(AdviceType1Choice value)

Sets the value of the dbtAdvc property.

Parameters:
  `value` - allowed object is `AdviceType1Choice`